
/****** Object:  View [dbo].[vAnagraficaUscite]    Script Date: 08/01/2016 17:27:27 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vAnagraficaUscite]'))
DROP VIEW [dbo].[vAnagraficaUscite]
GO



/****** Object:  View [dbo].[vAnagraficaUscite]    Script Date: 08/01/2016 17:27:27 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vAnagraficaUscite]
AS
SELECT DISTINCT 
                      dbo.Uscite.IDUscita, dbo.Uscite.IDProdotto, dbo.Uscite.CodiceInforete, dbo.Uscite.Addon, dbo.Uscite.NumeroCopertina, dbo.Uscite.DataUscita, 
                      dbo.Uscite.BarcodeAddon, dbo.Uscite.PrezzoNetto, dbo.Uscite.PrezzoCopertinaEuroDistributore, dbo.Uscite.IDIva, dbo.Uscite.ScorporoIVA, 
                      dbo.Uscite.ScontoEdicola, dbo.Uscite.SovraprezzoEuro, dbo.Uscite.NumeroConInserti, dbo.Uscite.DescrizioneInserti, dbo.Uscite.Sottotitolo, 
                      dbo.Uscite.NoteNumeroDistributore, dbo.Uscite.NoteNumeroEdicola, dbo.Uscite.CopieFornite, dbo.Uscite.Giacenza, dbo.Uscite.CopieRese, 
                      dbo.Uscite.CopieReseRiscontrate, dbo.Uscite.Esaurito, dbo.Uscite.DataResa, dbo.Uscite.DataUltimaResa, dbo.Uscite.CopieUltimaResa, 
                      dbo.Uscite.DataUltimissimaResa, dbo.Uscite.CopieUltimissimaResa, dbo.Uscite.CopieResaExtra, dbo.Uscite.DataResaExtra, 
                      dbo.Uscite.FlagNumeroControllato, dbo.Uscite.MaterialePubblicitario, dbo.Uscite.SovrascontoNatale, dbo.Uscite.PercentualeSovrascontoNatale, 
                      dbo.Uscite.MultiploPerPaccotti, dbo.Uscite.FascicoloGuidaPaccotti, dbo.Uscite.CodiceBanded, dbo.Uscite.DataPresuntaFattCD, 
                      dbo.Uscite.FlagContoDepositoFatt, dbo.Uscite.DataFattContoDeposito, dbo.Uscite.NumeroFatt50, dbo.Uscite.DataFattRestante50, 
                      dbo.Uscite.CodiceBuono, dbo.Uscite.DescrizioneBuonoSconto, dbo.Uscite.PrezzoBuonoScontoEuro, dbo.Uscite.CopieArrivateInizialmenteInBolla, 
                      dbo.Uscite.DataRRPdv, dbo.Uscite.DataRRPdv1, dbo.Uscite.DataRRPdv2, dbo.Uscite.DataEsu, dbo.Uscite.DataEsuPdv, dbo.Uscite.CopieEsu, 
                      dbo.Uscite.DataInizioPromozione, dbo.Uscite.ScadBuono, dbo.Uscite.UltNum, dbo.Uscite.FlagScad, dbo.Uscite.DataResaBuono, 
                      dbo.Uscite.CopieResaBuono, dbo.Uscite.IDAssociazione, dbo.Uscite.PrezzoCessione, dbo.Uscite.CopieCCdep, dbo.Uscite.NumUsciteArr, 
                      dbo.Uscite.MaggArr, dbo.Uscite.DataCons, dbo.Uscite.NumeroDistribuzione, dbo.Uscite.IDProd, dbo.Uscite.IDDL, dbo.Uscite.IDSottoEditore, 
                      dbo.Uscite.IDEditore, dbo.Uscite.InfoRiv, dbo.Uscite.DataUltimaModifica, dbo.Uscite.ResaRespinta, dbo.Uscite.DataResaRespinta, 
                      dbo.Uscite.PrezzoVenditaExtra, dbo.Uscite.Foto, dbo.Uscite.DirittoDiReso, dbo.Uscite.IdCodOligest, dbo.Uscite.IdFornitoreOligest, 
                      dbo.Uscite.TipoProdottoSpeciale, dbo.vDL.RagioneSociale, dbo.vDL.CodiceFIEG AS UscitaDLCodiceFIEG, dbo.Prodotti.CodiceTestata AS UscitaDL, 
                      dbo.Prodotti.Testata, dbo.Prodotti.Sottotitolo AS ProdSottotitolo, dbo.Prodotti.DescrizioneAggEdicola, dbo.Prodotti.ScortaMinima, 
                      dbo.Prodotti.IDPeriodicita, dbo.Prodotti.NumeroUsciteTotali, dbo.Prodotti.GiorniScadenzaResa, dbo.Prodotti.LocazioneScaffale, 
                      dbo.TipiProdotto.Descrizione AS TipoProdotto, dbo.vSottoEditori.RagioneSociale AS Sottoeditore, dbo.vEditori.RagioneSociale AS Editore, 
                      dbo.vEditori.CodiceFIEG AS CodFIEGEditore, dbo.Periodicita.Descrizione AS DescrizionePeriodicita, 
                      dbo.Prodotti.IDTipoProdotto AS ProdIDTipoProdotto, dbo.vEdicola.RagioneSociale AS EDRagioneSociale, dbo.vEdicola.Indirizzo AS EDIndirizzo, 
                      dbo.vEdicola.Cap AS EDCap, dbo.vEdicola.Citta AS EDCitta, dbo.vEdicola.Prov AS EDProv, dbo.vEdicola.Telefono AS EDTelefono, 
                      dbo.vEdicola.PartitaIVA AS EDPartitaIVA, dbo.vEdicola.Codicefiscale AS EDCodicefiscale, dbo.vMancanzeEccedenzeInoltrateTotali.Tot AS TotME, 
                      dbo.vMancanzeEccedenzeRiscontrateTotali.Tot AS TotMER, dbo.vRifornimentiTotali.Tot AS TotRif
FROM         dbo.Uscite LEFT OUTER JOIN
                      dbo.vRifornimentiTotali ON dbo.Uscite.IDUscita = dbo.vRifornimentiTotali.IDUscita LEFT OUTER JOIN
                      dbo.vMancanzeEccedenzeInoltrateTotali ON dbo.Uscite.IDUscita = dbo.vMancanzeEccedenzeInoltrateTotali.IDUscita LEFT OUTER JOIN
                      dbo.vSottoEditori ON dbo.Uscite.IDSottoEditore = dbo.vSottoEditori.IDSoggetto LEFT OUTER JOIN
                      dbo.vEditori RIGHT OUTER JOIN
                      dbo.TipiProdotto RIGHT OUTER JOIN
                      dbo.Prodotti ON dbo.TipiProdotto.IDTipoProdotto = dbo.Prodotti.IDTipoProdotto ON dbo.vEditori.IDSoggetto = dbo.Prodotti.IDEditore LEFT OUTER JOIN
                      dbo.Periodicita ON dbo.Prodotti.IDPeriodicita = dbo.Periodicita.IDPeriodicita ON dbo.Uscite.IDProd = dbo.Prodotti.IDProd LEFT OUTER JOIN
                      dbo.vDL ON dbo.Uscite.IDDL = dbo.vDL.IDSoggetto LEFT OUTER JOIN
                      dbo.vMancanzeEccedenzeRiscontrateTotali ON dbo.Uscite.IDUscita = dbo.vMancanzeEccedenzeRiscontrateTotali.IDUscita CROSS JOIN
                      dbo.vEdicola

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[19] 4[43] 2[21] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 121
               Right = 276
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vRifornimentiTotali"
            Begin Extent = 
               Top = 0
               Left = 574
               Bottom = 85
               Right = 749
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vMancanzeEccedenzeInoltrateTotali"
            Begin Extent = 
               Top = 0
               Left = 371
               Bottom = 85
               Right = 546
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vSottoEditori"
            Begin Extent = 
               Top = 97
               Left = 507
               Bottom = 212
               Right = 685
            End
            DisplayFlags = 280
            TopColumn = 29
         End
         Begin Table = "vEditori"
            Begin Extent = 
               Top = 94
               Left = 706
               Bottom = 209
               Right = 884
            End
            DisplayFlags = 280
            TopColumn = 29
         End
         Begin Table = "TipiProdotto"
            Begin Extent = 
               Top = 130
               Left = 23
               Bottom = 245
               Right = 201
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Prodotti"
            Begin Extent = 
               Top = 210
               Left = 224
               Bottom = 325
               Right = 419
 ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vAnagraficaUscite'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'           End
            DisplayFlags = 280
            TopColumn = 4
         End
         Begin Table = "Periodicita"
            Begin Extent = 
               Top = 222
               Left = 465
               Bottom = 307
               Right = 640
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vDL"
            Begin Extent = 
               Top = 94
               Left = 328
               Bottom = 209
               Right = 506
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vMancanzeEccedenzeRiscontrateTotali"
            Begin Extent = 
               Top = 351
               Left = 43
               Bottom = 436
               Right = 347
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vEdicola"
            Begin Extent = 
               Top = 214
               Left = 684
               Bottom = 329
               Right = 862
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 2265
         Alias = 2520
         Table = 3135
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vAnagraficaUscite'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vAnagraficaUscite'
GO

